#!/bin/csh

set _platform_=`/afs/.cern.ch/sw/lcg/external/MCGenerators/.scripts/check_platform`

echo "INFO: initial LCG platform name: $_platform_"

set _localbase_=
set _LD_LIBRARY_PATH_=
set _ldlp_append_=
set _add_path_=
set _is64_=

echo "$_platform_" | grep -E "amd64|x86_64" >&/dev/null
if ($? == 0) set _is64_=yes

switch  ("$_platform_") 

	case i[34567]686-slc4*:
	case x86_64-slc4*:
	case slc4_ia32*:
	case slc4_amd64*:

		false&&echo "WARNING: support of SL(C) 4.X is phased out"
		breaksw

	case i[34567]86-slc5*:

		false&&echo "WARNING: setting gcc43 as a default compiler on SLC 5.X"
  		source  /afs/cern.ch/sw/lcg/contrib/gcc/4.3/i686-slc5-gcc43-opt/setup.csh
		breaksw

	case x86_64-slc5*:
		
		false&&echo "WARNING: setting gcc43 as a default compiler on SLC 5.X"
  		source  /afs/cern.ch/sw/lcg/contrib/gcc/4.3/x86_64-slc5-gcc43-opt/setup.csh
		breaksw

	case i[34567]86-Linux*:
	case x86_64-Linux*:

	       	echo "WARNING: you're using non SL(C) based Linux OS"
		echo "         Compatibility issues should be reported to"
		echo "         genser-developers@cern.ch"
	       	breaksw

	case i[3456]86-mac*:
	
		set _CROSS32_=yes
		if ( "X$_platform_" != "Xi386-mac106-gcc42-opt" ) then
			echo "WARNING: you're using an unsupported OS X environment."
			echo "         Be cautious! Compatibility issues should be "
			echo "         reported to genser-developers@cern.ch"
		endif
		breaksw

	case x86_64-mac*:

		if ( "X$_platform_" != "Xx86_64-mac106-gcc42-opt" ) then
			echo "WARNING: you're using an unsupported OS X environment."
			echo "         Be cautious! Compatibility issues should be "
			echo "         reported to genser-developers@cern.ch"
		endif
		breaksw

	case default:
		echo "ERROR: you're using an usupported environment: ${_platform_}" >&2
		echo "       If you think it should be supported, ">&2
		echo "       please contact genser-developers@cern.ch" >&2
		breaksw
endsw

set _platform_=`/afs/.cern.ch/sw/lcg/external/MCGenerators/.scripts/check_platform`

echo "INFO: final LCG platform name: $_platform_"
